<?php
    # Main path settings, iclude trailing slashes!
    define ('PATH_AGILE',           '/afs/local/home/gh/.web/au.net.graytech.www/osb/');

    # Base site for cookies, example: '.domain.com'
    define ('AGILE_COOKIE',         '');

    # Enable multiple simultaneous sessions for a single user
    define ('ALLOW_MULTI_LOGIN',    false);

    # Database settings
    define ('AGILE_DB_LIMIT',       '25');
    define ('AGILE_DB_TYPE',        'mysql');
    define ('AGILE_DB_HOST',        'mysql.leenooks.vpn');
    define ('AGILE_DB_DATABASE',    'webghosb');
    define ('AGILE_DB_USERNAME',    'gh-webbill');
    define ('AGILE_DB_PASSWORD',    'ws0593');
    define ('AGILE_DB_PREFIX',      'ab_');
    define ('AGILE_DB_PORT',        '');
    define ('AGILE_DB_PCONNECT',    false);

    # No need to change anything after this line!
    switch ($_SERVER['SERVER_NAME']) {
      case 'demo.osbill.net':
        define ('DEFAULT_SITE',     '3');
        break;

      default:
        define ('DEFAULT_SITE',     '1');
        define ('SITE_TAXID',     'ABN: 49 106 229 476');
        break;
    }

    define ('DEFAULT_PAGE',         '');
    define ('DEF_THEME_N',          'default');
    define ('DEF_LANGUAGE',         'auto');
    define ('PATH_CORE',            PATH_AGILE.'modules/core/');
    define ('PATH_MODULES',         PATH_AGILE.'modules/');
    define ('PATH_LANGUAGE',        PATH_AGILE.'language/');
    define ('PATH_THEMES',          PATH_AGILE.'themes/');
    define ('PATH_PLUGINS',         PATH_AGILE.'plugins/');
    define ('PATH_INCLUDES',        PATH_AGILE.'includes/');
    define ('AGILE_PDF_INVOICE_PATH',PATH_AGILE.'includes/files/');
    define ('PATH_FILES',           PATH_AGILE.'includes/files/');
    define ('PATH_IMAGES',          PATH_AGILE.'includes/images/');
    define ('URL_IMAGES',           'includes/images/');
    define ('PATH_ADODB',           PATH_AGILE.'includes/adodb/');
    $ADODB_CACHE_DIR =              PATH_ADODB.'cache';
    define ('PATH_SMARTY',          PATH_AGILE.'includes/smarty/');
    define ('PATH_GRAPH',           PATH_AGILE.'includes/jpgraph/');
    //define('SMARTY_DIR', PATH_SMARTY);

    if (isset($REMOTE_ADDR))        define('USER_IP',$REMOTE_ADDR);
    elseif (isset($REMOTE_HOST))    define('USER_IP',$REMOTE_HOST);
    elseif (getenv('HTTP_X_FORWARDED_FOR')) define('USER_IP',getenv('HTTP_X_FORWARDED_FOR'));
    else                            define('USER_IP',getenv('REMOTE_ADDR'));

    if (!extension_loaded('gd'))    define('GD',false);
    else                            define('GD',true);

    $_PAGE_SHORTCUTS = array(       array('s' => '_news',     'p' => 'newsletter:newsletter'),
                                    array('s' => '_affiliate','p' => 'affiliate:affiliate'),
                                    array('s' => '_contact',  'p' => 'staff:staff'),
                                    array('s' => '_account',  'p' => 'account:account'),
                                    array('s' => '_products', 'p' => 'product:cat'),
                                    array('s' => '_product',  'p' => 'product:details'),
                                    array('s' => '_cart',     'p' => 'cart:cart'),
                                    array('s' => '_checkout', 'p' => 'checkout:checkout'),
                                    array('s' => '_static',   'p' => 'static_page:show')
                            );
?>
